<script lang="ts">
	import ColourSelectColour from './ColourSelectColour.svelte'


	interface Props {
		backgroundColour?: string;
		title?: string;
		description?: string;
		placeholder?: string;
		value?: string;
		name?: string;
		items?: string[];
	}

	let {
		backgroundColour = 'rgba(0,0,0,0.25)',
		title = 'Title',
		description = 'Description of this setting item',
		placeholder = 'Enter a distance in km',
		value = $bindable(''),
		name = title,
		items = $bindable([])
	}: Props = $props();

</script>

<div id="box" style="--bgColour:{backgroundColour}; --content:'{placeholder}'">
	<h3>{title}</h3>
	<h4>{description}</h4>

	<input type="hidden" {name} bind:value={value}>
	<ColourSelectColour bind:items={items} bind:value={value} on:click />
</div>

<style>
	#box {
		display: grid;
		grid-template-columns: 1fr;
		grid-template-rows: auto auto auto;
		grid-template-areas: 'title' 'description' 'entry';
		background-color: var(--bgColour);
		border-radius: 5px;
		margin-top: 5px;
		margin-bottom: 1rem;
		margin-left: 1rem;
		margin-right: 1rem;
		padding-left: 1rem;
		padding-right: 1rem;
		padding-bottom: 1rem;
	}

	h3 {
		margin-top: 1rem;
		grid-area: title;
		text-align: left;
		color: #cbcbcb;
		font-size: 1em;
	}

	h4 {
		grid-area: description;
		margin-top: 0px;
		color: #656565;
		text-align: left;
		font-size: 0.9em;
	}
</style>
